Search The ForumSearch   RegisterRegister  LoginLogin

AfterLogic WebMail Pro

 AfterLogic Forum : AfterLogic WebMail Pro
Subject Topic: PHP 7 support Post ReplyPost New Topic
Author
Message << Prev Topic | Next Topic >>
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 4803
Posted: 30 May 2016 at 6:21am | IP Logged Quote Igor

With PHP 7 becoming a tangible reality on development systems and production servers, we are willing to ensure our WebMail solutions work fine with the new PHP version.

Of course, we have performed basic tests of AfterLogic WebMail installed on a server running PHP 7. And so far, we didn't encounter any issues.

If you run into any problems while using WebMail along with PHP 7, please let us know using this forum thread. We'll do our best to investigate that, and if necessary, will make code modifications to fix the issues.

We hope you understand that stating the error message will not be sufficient. We'll need a detailed description of the problem, a way to reproduce it, and if you performed any troubleshooting steps, we need to know which ones.

Thank you!

--
Best regards, Igor
AfterLogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
methamp
Newbie
Newbie
Avatar

Joined: 31 July 2016
Location: United States
Online Status: Offline
Posts: 2
Posted: 31 July 2016 at 10:52am | IP Logged Quote methamp

That's good to hear! I was wondering if installing PHP 7 would be a good idea with how new it is. I feel most people are still running 5.x.
Back to Top View methamp's Profile Search for other posts by methamp
 
Barbers
Newbie
Newbie


Joined: 20 April 2017
Location: Germany
Online Status: Offline
Posts: 2
Posted: 20 April 2017 at 1:06am | IP Logged Quote Barbers

Hello.

During installation I get the following error when I try to save values:
'Notice: Only variables should be passed by reference in /../libraries/afterlogic/common/settings.php on line 478'
and 'Warning: Cannot modify header information - headers already sent by (output started at /../libraries/afterlogic/common/settings.php:478) in /../install/installer.php on line 202'
.
I use the latest version of WebMail Pro
Nginx
PHP FPM Version 7.1.4
Back to Top View Barbers's Profile Search for other posts by Barbers
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 4803
Posted: 20 April 2017 at 2:27am | IP Logged Quote Igor

Quote:
I use the latest version of WebMail Pro


It's 7.7.1, correct? You can verify that as shown here.

--
Best regards, Igor
AfterLogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
Barbers
Newbie
Newbie


Joined: 20 April 2017
Location: Germany
Online Status: Offline
Posts: 2
Posted: 20 April 2017 at 7:00am | IP Logged Quote Barbers

Yes
<!-- 7.7.1 -->
I also tried the lite version and get the same error when entering the db settings.
Back to Top View Barbers's Profile Search for other posts by Barbers
 

If you wish to post a reply to this topic you must first login
If you are not already registered you must first register

  Post ReplyPost New Topic
Printable version Printable version

Forum Jump

Powered by Web Wiz Forums version 7.9
Copyright ©2001-2004 Web Wiz Guide